package com.example.catchTheLetters.entity;

import com.example.catchTheLetters.enums.LetterActionType;
import com.example.catchTheLetters.model.vo.Letter;
import lombok.Data;

import java.io.Serializable;

/**
 * 字母操作
 *
 * @author spyn
 */
@Data
public class LetterAction implements Serializable {
    private LetterActionType type;
    private Letter letter;
    private String userId;
    private long letterId;

    public LetterAction() {
    }

    public LetterAction(LetterActionType type, Letter letter, String userId) {
        this.type = type;
        this.letter = letter;
        this.userId = userId;
    }

    public LetterAction(LetterActionType type, Letter letter) {
        this.type = type;
        this.letter = letter;
    }
}
