package com.example.catchTheLetters.entity;

import com.example.catchTheLetters.enums.InputKeyType;
import com.example.catchTheLetters.enums.InputState;
import lombok.Data;

import java.io.Serializable;

@Data
public class PlayerInput implements Serializable {
    public InputKeyType key;
    public InputState state;

    public PlayerInput(InputKeyType key, InputState state) {
        this.key = key;
        this.state = state;
    }

    public PlayerInput() {
    }
}
